# Update category

## PUT /public/v1/integration/extensions/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/integration/extensions/{id}":{"put":{"tags":["Extension"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"extension":{"type":"object","properties":{"Extension.Node.Name":{"type":"string"},"Extension.Node.Children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"}},"Extension.Path":{"type":"string"},"Extension.Data.Name":{"type":"string"},"Extension.Data.ShortDescription":{"type":"string"},"Extension.Data.LongDescription":{"type":"string"},"Extension.Data.Website":{"type":"string"},"Extension.Data.Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"Extension.Data.Configuration.RootElement.ValueKind":{"allOf":[{"$ref":"#/components/schemas/JsonValueKind"}]},"Extension.IsDefined":{"type":"boolean"}},"description":"Json representation of the extension"},"icon":{"type":"string","format":"binary"}}},"encoding":{"extension":{"contentType":"application/json"},"icon":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExtensionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionCategory"},"nullable":true},"modules":{"type":"array","items":{"$ref":"#/components/schemas/Module"},"nullable":true},"statistics":{"allOf":[{"$ref":"#/components/schemas/ExtensionStatistics"}]},"configuration":{"nullable":true},"meta":{"allOf":[{"$ref":"#/components/schemas/ExtensionMeta"}],"nullable":true},"service":{"allOf":[{"$ref":"#/components/schemas/ExtensionServiceDetails"}],"nullable":true}},"additionalProperties":false}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Extension"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"DeltaNode":{"type":"object","properties":{"name":{"type":"string"},"children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"},"readOnly":true}},"additionalProperties":false},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"JsonValueKind":{"enum":["Undefined","Object","Array","String","Number","True","False","Null"],"type":"string"},"ExtensionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"public":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"private":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ExtensionCategory":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExtensionCategoryAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"status":{"enum":["Active","Disabled"],"type":"string"}},"additionalProperties":false},"ExtensionCategoryAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deactivated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"Module":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"code":{"type":"string"},"accountTypes":{"type":"array","items":{"type":"string"}},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"ExtensionStatistics":{"type":"object","properties":{"installations":{"type":"integer","format":"int32"}},"additionalProperties":false},"ExtensionMeta":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"version":{"type":"string"},"plugs":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationPoint"}},"openapi":{"type":"string"},"events":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionEvent"}},"schedules":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionSchedule"}},"webhooks":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionWebhook"}},"deferrables":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionDeferrable"}}},"additionalProperties":false},"IntegrationPoint":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"icon":{"type":"string"},"condition":{"type":"string","nullable":true},"socket":{"type":"string"},"href":{"type":"string"}},"additionalProperties":false},"ExtensionEvent":{"type":"object","properties":{"event":{"type":"string"},"condition":{"type":"string"},"path":{"type":"string"},"task":{"type":"boolean"},"timeouts":{"allOf":[{"$ref":"#/components/schemas/EventTimeout"}],"nullable":true}},"additionalProperties":false},"EventTimeout":{"type":"object","properties":{"maxTaskProcessing":{"type":"integer","format":"int32"},"maxTaskLifespan":{"type":"integer","format":"int32"}},"additionalProperties":false},"ExtensionSchedule":{"type":"object","properties":{"id":{"type":"string"},"path":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"cron":{"type":"string"}},"additionalProperties":false},"ExtensionWebhook":{"type":"object","properties":{"type":{"type":"string"},"description":{"type":"string"},"path":{"type":"string"},"criteria":{"nullable":true}},"additionalProperties":false},"ExtensionDeferrable":{"type":"object","properties":{"path":{"type":"string"},"description":{"type":"string"},"method":{"type":"string"},"timeouts":{"allOf":[{"$ref":"#/components/schemas/EventTimeout"}],"nullable":true}},"additionalProperties":false},"ExtensionServiceDetails":{"type":"object","properties":{"secret":{"type":"string","nullable":true}},"additionalProperties":false},"Extension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExtensionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/ExtensionCategoryRef"},"nullable":true},"modules":{"type":"array","items":{"$ref":"#/components/schemas/ModuleRef"},"nullable":true},"statistics":{"allOf":[{"$ref":"#/components/schemas/ExtensionStatistics"}]},"configuration":{"nullable":true},"meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/ExtensionMetaRef"}]},"service":{"allOf":[{"$ref":"#/components/schemas/ExtensionServiceDetails"}],"nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"ExtensionCategoryRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"status":{"enum":["Active","Disabled"],"type":"string"}},"additionalProperties":false},"ModuleRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"ExtensionMetaRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"version":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
